SDL_RectsEqual(3)

NAME
SDL_RectsEqual - Determine whether two rectangles are equal.

SYNOPSIS
#include <SDL3/SDL_rect.h>

SDL_FORCE_INLINE bool SDL_RectsEqual(const SDL_Rect *a, const SDL_Rect *b);

DESCRIPTION
Rectangles are considered equal if both are not NULL and each of their x, y, width and height match.

Note that this is a forced-inline function in a header, and not a public API function available in the SDL library (which is to say, the code is embedded in the calling program and the linker and dynamic loader will not be able to find this function inside SDL itself).

FUNCTION PARAMETERS

a   the first rectangle to test.

b   the second rectangle to test.

RETURN VALUE
Returns true if the rectangles are equal, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.